> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Twitter Posts

> Retrieve the Twitter posts of an account by handle. If the posts aren’t already stored in our system, the request will queue a background job and return a `queued` status. As soon as fetching begins, the status becomes `in_progress`, and partial results are available, use the `progress` field to track completion. Once all posts have been retrieved, the status changes to `completed`. The maximum age of stored posts is 30 days.



## OpenAPI

````yaml get /twitter/posts
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /twitter/posts:
    get:
      summary: Get Twitter Posts
      description: >-
        Retrieve the Twitter posts of an account by handle. If the posts aren’t
        already stored in our system, the request will queue a background job
        and return a `queued` status. As soon as fetching begins, the status
        becomes `in_progress`, and partial results are available, use the
        `progress` field to track completion. Once all posts have been
        retrieved, the status changes to `completed`. The maximum age of stored
        posts is 30 days.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              Twitter username of the user. For example, MemoryProtocol or
              factory__fm.
            examples:
              - MemoryProtocol
              - factory__fm
          required: true
          name: username
          in: query
        - schema:
            type: number
            nullable: true
            description: Pagination cursor.
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: number
            nullable: true
            default: 100
            description: Number of items per page. Max 100.
            maximum: 100
            example: 50
          required: false
          name: limit
          in: query
        - schema:
            type: string
            description: >-
              Use an authorization token prefixed with `Bearer`. You can get
              your API key at
              [https://memoryproto.co/dashboard](https://memoryproto.co/dashboard).
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: Successful response containing the user's Twitter posts
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    anyOf:
                      - type: string
                        enum:
                          - in_progress
                      - type: string
                        enum:
                          - queued
                      - type: string
                        enum:
                          - success
                    description: >-
                      Account follows fetch status: `queued` when the request is
                      queued, `in_progress` while data is being fetched and
                      partial results are available, and`completed` once all
                      follows have been retrieved and are available.
                    example: in_progress
                  progress:
                    type: object
                    nullable: true
                    properties:
                      current:
                        type: number
                        description: Amount of follows fetched.
                      total:
                        type: number
                        description: Total Amount of user follows.
                    required:
                      - current
                      - total
                    example:
                      current: 1245
                      total: 3632
                  timestamp:
                    type: string
                    nullable: true
                    description: >-
                      Timestamp of when the data was fetched, only available
                      when the status is `completed`.
                    example: '2025-05-09T19:51:32.016Z'
                  data:
                    type: object
                    properties:
                      profile:
                        type: object
                        properties:
                          username:
                            type: string
                          id:
                            type: string
                          displayName:
                            type: string
                          followersCount:
                            type: number
                          followingCount:
                            type: number
                          postsCount:
                            type: number
                            nullable: true
                          creationDate:
                            type: string
                            nullable: true
                          avatarUrl:
                            type: string
                            nullable: true
                          externalUrl:
                            type: string
                            nullable: true
                          location:
                            type: string
                            nullable: true
                          bio:
                            type: string
                            nullable: true
                          farcaster:
                            type: object
                            nullable: true
                            properties:
                              id:
                                type: string
                              username:
                                type: string
                              displayName:
                                type: string
                              followersCount:
                                type: number
                              followingCount:
                                type: number
                              avatarUrl:
                                type: string
                                nullable: true
                              location:
                                type: string
                                nullable: true
                              bio:
                                type: string
                                nullable: true
                            required:
                              - id
                              - username
                              - displayName
                              - followersCount
                              - followingCount
                              - avatarUrl
                              - location
                              - bio
                            description: Farcaster profile linked to the Twitter account.
                            example:
                              id: '244819'
                              username: memoryprotocol.eth
                              displayName: Memory
                              followersCount: 929
                              followingCount: 73
                              avatarUrl: >-
                                https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                              location: ''
                              bio: The internet forgets you. Memory doesn’t.
                        required:
                          - username
                          - id
                          - displayName
                          - followersCount
                          - followingCount
                          - postsCount
                          - creationDate
                          - avatarUrl
                          - externalUrl
                          - location
                          - bio
                          - farcaster
                        description: Twitter profile of the account.
                        example:
                          id: '1732464385174761474'
                          username: memoryprotocol
                          displayName: Memory
                          followersCount: 1659
                          followingCount: 414
                          postsCount: 642
                          creationDate: Wed Dec 06 18:18:03 +0000 2023
                          avatarUrl: >-
                            https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg
                          externalUrl: http://memoryproto.co
                          location: ''
                          bio: >-
                            Where your digital identity can move across the
                            internet  ☁︎
                          farcaster:
                            id: '244819'
                            username: memoryprotocol.eth
                            displayName: Memory
                            followersCount: 929
                            followingCount: 73
                            avatarUrl: >-
                              https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                            location: ''
                            bio: The internet forgets you. Memory doesn’t.
                      posts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            likesCount:
                              type: number
                            repostCount:
                              type: number
                            quoteCount:
                              type: number
                            replyCount:
                              type: number
                            bookmarkCount:
                              type: number
                            creationDate:
                              type: string
                              nullable: true
                            text:
                              type: string
                            url:
                              type: string
                            isQuote:
                              type: boolean
                            language:
                              type: string
                          required:
                            - id
                            - likesCount
                            - repostCount
                            - quoteCount
                            - replyCount
                            - bookmarkCount
                            - creationDate
                            - text
                            - url
                            - isQuote
                            - language
                    required:
                      - profile
                      - posts
                    description: Twitter profile with an array of Twitter posts.
                    example:
                      profile:
                        id: '1732464385174761474'
                        username: memoryprotocol
                        displayName: Memory
                        followersCount: 1659
                        followingCount: 414
                        postsCount: 642
                        creationDate: Wed Dec 06 18:18:03 +0000 2023
                        avatarUrl: >-
                          https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg
                        externalUrl: http://memoryproto.co
                        location: ''
                        bio: >-
                          Where your digital identity can move across the
                          internet  ☁︎
                        farcaster:
                          id: '244819'
                          username: memoryprotocol.eth
                          displayName: Memory
                          followersCount: 929
                          followingCount: 73
                          avatarUrl: >-
                            https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                          location: ''
                          bio: The internet forgets you. Memory doesn’t.
                      posts:
                        - id: '1958876894159626493'
                          likesCount: 10
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 2
                          bookmarkCount: 1
                          creationDate: '2025-08-22 13:00:20'
                          text: >-
                            Have you unlocked your Memory Vault yet?


                            ✷ Control and verify access to your publicly
                            available data.

                            ✷ Earn when apps query it.

                            ✷ Earn extra for confirming and linking accounts.


                            Coming soon


                            ✷ Upload personal data (llm history + music
                            preferences) https://t.co/Lh92mDwk7b
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gy9UJuoboAEvSQ4.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1958876894159626493
                        - id: '1958514454142042571'
                          likesCount: 9
                          repostCount: 0
                          quoteCount: 1
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-08-21 13:00:07'
                          text: >-
                            We cannot onboard the world with speculation alone.


                            But we can ...


                            ✷ Automagically pay them when their data is used.

                            ✷ Show them the magic of moving their followers
                            between platforms.

                            ✷ Give them personalization that is impossible in
                            web2. https://t.co/bY5UdZD6PF
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gy4Kg9BasAMa24U.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1958514454142042571
                        - id: '1958152075898212741'
                          likesCount: 6
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-20 13:00:10'
                          text: 50,000 Memory Vaults https://t.co/pK8J11UrTB
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GyzA71caYAA6Rl3.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1958152075898212741
                        - id: '1957789698883232173'
                          likesCount: 9
                          repostCount: 1
                          quoteCount: 1
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-08-19 13:00:12'
                          text: >-
                            Your creativity is valuable. Your content is
                            valuable.


                            And now your data is valuable.


                            Proudly building on @base 🟦 https://t.co/SjPIF9Xw1H
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gyt3WhYacAEzOT4.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1957789698883232173
                        - id: '1957427597392138681'
                          likesCount: 7
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 1
                          bookmarkCount: 1
                          creationDate: '2025-08-18 13:01:21'
                          text: >-
                            Memory is built by artists and creators.


                            Tired of platforms owning and controlling our
                            audience.


                            We realized this all stemmed from one place: data.


                            Spotify, IG, Soundcloud, TikTok -&gt; They own our
                            data. Therefore they own our audience.


                            Memory exists to change this.
                            https://t.co/LjWqytIBZ1
                          isQuote: false
                          language: en
                          media:
                            - type: video
                              url: >-
                                https://video.twimg.com/amplify_video/1957427303388205057/vid/avc1/1280x720/c6m5Y2QES5xUN4Gm.mp4?tag=14
                          url: >-
                            https://x.com/memoryprotocol/status/1957427597392138681
                        - id: '1957079988936864072'
                          likesCount: 3
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-17 14:00:04'
                          text: >-
                            Hey builders ...


                            The heart of Memory is an unstoppable API with rich
                            identity and social data about everyone who lands in
                            your app.


                            If you're building on @base reach out for early
                            adopter rewards. https://t.co/Qlm5ox4D6w
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gyjx4MpaYAAY5HG.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1957079988936864072
                        - id: '1955615353993826777'
                          likesCount: 9
                          repostCount: 3
                          quoteCount: 0
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-08-13 13:00:08'
                          text: >-
                            Your data is already out there, being used by
                            companies every day.


                            Social accounts, wallets, followers, posts and
                            content.


                            In Phase Zero we aggregate this, and drive value
                            back to you.


                            You don’t even have to do anything.
                            https://t.co/g8IKZivJtr
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GyO9zGMbMAACkdA.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1955615353993826777
                        - id: '1955252967889870877'
                          likesCount: 29
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 9
                          bookmarkCount: 0
                          creationDate: '2025-08-12 13:00:09'
                          text: >-
                            The magic of building onchain.


                            We can route revenue straight back to you instantly.
                            https://t.co/0iImhZtZ8j
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GyJ0NjlaEAAh4Vm.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1955252967889870877
                        - id: '1955002957336076467'
                          likesCount: 0
                          repostCount: 3
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-11 20:26:41'
                          text: 'RT @RAC: https://t.co/5TyMci7S6t'
                          isQuote: true
                          language: zxx
                          media:
                            - type: animated_gif
                              url: >-
                                https://video.twimg.com/tweet_video/GyGHyhrbwAAH7uQ.mp4
                          url: >-
                            https://x.com/memoryprotocol/status/1955002957336076467
                        - id: '1954627149690028265'
                          likesCount: 17
                          repostCount: 1
                          quoteCount: 0
                          replyCount: 2
                          bookmarkCount: 1
                          creationDate: '2025-08-10 19:33:22'
                          text: |-
                            Everyone will have a Memory Vault.

                            On @base soon. https://t.co/iBAe2TJehK
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GyA6yDKX0AQkzOu.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1954627149690028265
                        - id: '1953804520984637443'
                          likesCount: 12
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-08-08 13:04:32'
                          text: >-
                            The plan is simple:


                            Make sure you get paid when apps use your data.
                            https://t.co/dugFv21kwk
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gx1K8dVXgAAbwJx.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1953804520984637443
                        - id: '1948039078047273128'
                          likesCount: 14
                          repostCount: 1
                          quoteCount: 0
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-07-23 15:14:43'
                          text: >-
                            The Memory Vision


                            ✷ Your digital life.

                            ✷ In your Memory Vault.

                            ✷ Private and encrypted.

                            ✷ Ready to travel across LLMs and platforms.
                            https://t.co/xAKHauTHZv
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GwjS5LBXoAAvdjT.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1948039078047273128
                        - id: '1940423951450251285'
                          likesCount: 14
                          repostCount: 1
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-07-02 14:54:56'
                          text: >-
                            We built the internet wrong.


                            Our data should never have been trapped on
                            platforms.


                            Let’s not make the same mistake with AI.


                            That's why Memory Vaults supports portable AI memory
                            from day one, starting with ChatGPT.
                            https://t.co/Bh9N4y6eYM
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gu3FL5LWUAAZ3af.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1940423951450251285
                        - id: '1940101885958267029'
                          likesCount: 8
                          repostCount: 3
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 4
                          creationDate: '2025-07-01 17:35:09'
                          text: >-
                            Backup your chatGPT history to use it with Claude
                            using @MemoryProtocol https://t.co/J4Wv8FpjQT
                          isQuote: false
                          language: en
                          media:
                            - type: video
                              url: >-
                                https://video.twimg.com/amplify_video/1940101202718408704/vid/avc1/1920x1080/ouNss3mO3EFo0Cqr.mp4?tag=21
                          url: >-
                            https://x.com/memoryprotocol/status/1940101885958267029
                        - id: '1938581866971361513'
                          likesCount: 13
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 2
                          creationDate: '2025-06-27 12:55:08'
                          text: >-
                            Two things are true:


                            1. LLMs get more powerful when they have personal
                            context about you.


                            2. That personal context should be owned and
                            controlled by you.


                            Memory Vaults. https://t.co/iHF38NZ3la
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/Gucv_EfWsAACXaf.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1938581866971361513
                        - id: '1937495382646194380'
                          likesCount: 18
                          repostCount: 1
                          quoteCount: 1
                          replyCount: 0
                          bookmarkCount: 1
                          creationDate: '2025-06-24 12:57:50'
                          text: >-
                            Your Memory Vault is fully private and encrypted 🔒


                            When you upload your ChatGPT history, it looks like
                            this.


                            Secure. Private. Yours. https://t.co/gqB7dPxnaO
                          isQuote: false
                          language: en
                          media:
                            - type: photo
                              url: https://pbs.twimg.com/media/GuNdw4nXIAAvNJU.jpg
                          url: >-
                            https://x.com/memoryprotocol/status/1937495382646194380
                        - id: '1953504101393662243'
                          likesCount: 6
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-07 17:10:46'
                          text: >-
                            Your data is valuable.


                            Several trillion dollar companies are built on top
                            of it.


                            Would be a shame if we ... disrupted it.


                            Soon.
                          isQuote: false
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1953504101393662243
                        - id: '1938259823071482148'
                          likesCount: 0
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-06-26 15:35:27'
                          text: >-
                            RT @ADINonline: when investing, knowing the
                            competition matters.


                            that's what the 'competitors' section of ADIN's
                            diligence report is built…
                          isQuote: false
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1938259823071482148
                        - id: '1959961729238007888'
                          likesCount: 12
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-25 12:51:05'
                          text: >-
                            "internet users should be able to sell their own
                            data.


                            people may even be willing to provide more valuable
                            data while preserving privacy via zk."


                            Memory.
                          isQuote: true
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1959961729238007888
                        - id: '1938263895115964713'
                          likesCount: 0
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-06-26 15:51:38'
                          text: >-
                            RT @JackSpallone: So cool, @ADINonline is putting
                            the A in investment DAOs
                          isQuote: true
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1938263895115964713
                        - id: '1939672493872337322'
                          likesCount: 0
                          repostCount: 2
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-06-30 13:08:54'
                          text: >-
                            RT @ENS_DAO: Project Highlights: @MemoryProtocol
                            lets users build vaults aggregating onchain/offchain
                            accounts (e.g. ENS, Twitter, wallets)…
                          isQuote: true
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1939672493872337322
                        - id: '1938619390305694130'
                          likesCount: 0
                          repostCount: 3
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-06-27 15:24:15'
                          text: >-
                            RT @JackSpallone: Big Announcement: Portable chatGPT
                            memory w/ @MemoryProtocol 


                            As of today, you can make your chatGPT data portable
                            with…
                          isQuote: false
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1938619390305694130
                        - id: '1955053697077047350'
                          likesCount: 0
                          repostCount: 1
                          quoteCount: 0
                          replyCount: 0
                          bookmarkCount: 0
                          creationDate: '2025-08-11 23:48:19'
                          text: >-
                            RT @JackSpallone: We built a feature for Memory that
                            let's you export your chat history and connect it
                            with Claude.


                            All private.


                            So you h…
                          isQuote: false
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1955053697077047350
                        - id: '1947739549116867031'
                          likesCount: 5
                          repostCount: 0
                          quoteCount: 0
                          replyCount: 1
                          bookmarkCount: 0
                          creationDate: '2025-07-22 19:24:30'
                          text: >-
                            Imagine StumbleUpon but based on all of your
                            personal interests, activities, LLM chats.


                            That's what you can build with the Memory API.


                            That's the user owned internet.
                          isQuote: false
                          language: en
                          media: []
                          url: >-
                            https://x.com/memoryprotocol/status/1947739549116867031
                  pagination:
                    type: object
                    nullable: true
                    properties:
                      page:
                        type: number
                      limit:
                        type: number
                      nextPage:
                        type: number
                        nullable: true
                      prevPage:
                        type: number
                        nullable: true
                    required:
                      - page
                      - limit
                      - nextPage
                      - prevPage
                    description: Pagination parameters.
                    example:
                      page: 1
                      limit: 100
                      nextPage: 2
                      prevPage: null
                required:
                  - status
                  - progress
                  - timestamp
                  - data
                  - pagination
        '403':
          description: The organization ran out of credits.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - >-
                    You have run out of credits. Please purchase more to
                    continue.
        '422':
          description: Invalid page query parameter.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Invalid page.
        '500':
          description: An internal error occurred while getting the user's posts
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Error getting {username} posts.
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````